io.vertx.rxjava.ext.stomp

## Class Acknowledgement

- java.lang.Object
- - io.vertx.rxjava.ext.stomp.Acknowledgement

-     public class Acknowledgement
      extends Object

  Structure passed to acknowledgement handler called when a `ACK` or `NACK` frame is received. The handler receives an instance of `Acknowledgement` with the subscription `Frame` and the impacted messages. The list of messages depends on the type of acknowledgment used by the subscription.

  Subscriptions using the `client` mode receives all messages that were waiting for acknowledgment that were sent before the acknowledged messages. The list also contains the acknowledged message. This is a cumulative acknowledgement. Subscriptions using the `client-individual` mode receives a singleton list containing only the acknowledged message.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Acknowledgement(Acknowledgement delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<Frame>` | `frames()`
    `Acknowledgement` | `getDelegate()`
    `int` | `hashCode()`
    `static Acknowledgement` | `newInstance(Acknowledgement arg)`
    `Frame` | `subscription()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### Acknowledgement

          public Acknowledgement(Acknowledgement delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Acknowledgement getDelegate()

    - #### subscription

          public Frame subscription()

      Returns:
        the subscription frame

    - #### frames

          public List<Frame> frames()

      Returns:
        the list of frames that have been acknowledged / not-acknowledged. The content of the list depends on the type of subscription.

    - #### newInstance

          public static Acknowledgement newInstance(Acknowledgement arg)

Copyright © 2018 Eclipse. All rights reserved.